Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0029904
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] 09. Financial managementminorhave not tried2015-05-16 14:082015-06-19 23:57
ReportermtaalView Statuspublic 
Assigned ToSandrahuguet 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision83734f0b006e
ProjectionnoneETAnoneTarget Version3.0PR15Q3
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toeduardo_Argal
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0029904: Performance improvements for orderloading in finance core

DescriptionHi,
See attached a diff which can improve the WebPOS orderloader by about 10%. See the related ticket for an overview of the timing changes (the last set of timings in the attachment of the related ticket).

gr. Martin
Steps To Reproducerun jmeter order loading test case, see attached and check console output.
TagsNo tags attached.
Attached Files? file icon OrderLoaderTest.jmx [^] (259,189 bytes) 2015-05-16 14:08
diff file icon erp-core.diff [^] (15,747 bytes) 2015-05-16 14:08 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
blocks feature request 0029905 closedmarvintm Retail Modules Performance improvements in OrderLoader and Mobile.Core 

-  Notes
(0077729)
mtaal (developer)
2015-05-26 08:52

Google doc with measurements:
https://docs.google.com/spreadsheets/d/17mbXuYGd1bvV54u63XOSltsKGH3yOlycoKEI_fdb-oM/edit#gid=937811753 [^]
(0077821)
hgbot (developer)
2015-05-27 16:10

Repository: erp/devel/pi
Changeset: 83734f0b006e15e361a86ebd6ffc279113085f0c
Author: Sandra Huguet <sandra.huguet <at> openbravo.com>
Date: Wed May 27 09:41:59 2015 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/83734f0b006e15e361a86ebd6ffc279113085f0c [^]

Fixed bug 29904 Performance improvements for orderloading in finance core

review flush () and .list () in FIN_PaymentProcess and FIN_TransactionProcess

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/dao/TransactionsDao.java
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/process/FIN_PaymentProcess.java
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/process/FIN_TransactionProcess.java
---
(0077845)
hudsonbot (developer)
2015-05-28 01:10

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/ae25da3bd47f [^]
Maturity status: Test
(0078369)
hgbot (developer)
2015-06-18 13:08

Repository: erp/devel/pi
Changeset: a6b30e56aa485f0e5c0372f0f42f3611183d634f
Author: Sandra Huguet <sandra.huguet <at> openbravo.com>
Date: Thu Jun 18 13:07:42 2015 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/a6b30e56aa485f0e5c0372f0f42f3611183d634f [^]

related to issue 29904

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/process/FIN_PaymentProcess.java
---
(0078397)
hudsonbot (developer)
2015-06-19 23:57

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/53058d80de1d [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2015-05-16 14:08 mtaal New Issue
2015-05-16 14:08 mtaal Assigned To => Sandrahuguet
2015-05-16 14:08 mtaal File Added: OrderLoaderTest.jmx
2015-05-16 14:08 mtaal Modules => Core
2015-05-16 14:08 mtaal Triggers an Emergency Pack => No
2015-05-16 14:08 mtaal File Added: erp-core.diff
2015-05-16 14:13 mtaal Relationship added blocks 0029905
2015-05-26 08:52 mtaal Note Added: 0077729
2015-05-27 16:10 hgbot Checkin
2015-05-27 16:10 hgbot Note Added: 0077821
2015-05-27 16:10 hgbot Status new => resolved
2015-05-27 16:10 hgbot Resolution open => fixed
2015-05-27 16:10 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/83734f0b006e15e361a86ebd6ffc279113085f0c [^]
2015-05-28 01:10 hudsonbot Checkin
2015-05-28 01:10 hudsonbot Note Added: 0077845
2015-06-08 17:12 Sandrahuguet Review Assigned To => mtaal
2015-06-18 13:08 hgbot Checkin
2015-06-18 13:08 hgbot Note Added: 0078369
2015-06-19 13:46 eduardo_Argal Review Assigned To mtaal => eduardo_Argal
2015-06-19 13:46 eduardo_Argal Status resolved => closed
2015-06-19 23:57 hudsonbot Checkin
2015-06-19 23:57 hudsonbot Note Added: 0078397


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker